VMTKSURFACECAPPER(1)

NAME
vmtksurfacecapper - vmtk script vmtksurfacecapper

DESCRIPTION
Automatic piping vmtksurfacecapper Parsing options vmtksurfacecapper

vmtksurfacecapper : add caps to the holes of a surface, assigning an

    id to each cap for easy specification of boundary conditions.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-method Method (str,1) in ['simple', 'centerpoint', 'smooth',

    'annular', 'concaveannular']; default=simple: capping method

-triangle TriangleOutput (bool,1); default=1: toggle triangulation

    of the output

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds: name of the array where the id of the caps have to be stored

-entityidoffset CellEntityIdOffset (int,1) >= 0; default=1: offset

    for entity ids

-constraint ConstraintFactor (float,1); default=1.0: amount of

    influence of the shape of the surface near the boundary on the shape of the cap ("smooth" method only)

-rings NumberOfRings (int,1) >= 0; default=8: number of rings

    composing the cap ("smooth" method only)

-interactive Interactive (bool,1); default=1

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds: name of the array where the id of the caps are stored